org.keycloak.saml.processing.core.parsers.saml.protocol

## Class AbstractStaxSamlProtocolParser<T>

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLProtocolQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.protocol.AbstractStaxSamlProtocolParser<T>

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    SAMLExtensionsParser, SAMLRequestAbstractParser, SAMLRequestedAuthnContextParser, SAMLStatusCodeParser, SAMLStatusParser, SAMLStatusResponseTypeParser

      public abstract class AbstractStaxSamlProtocolParser<T>
      extends AbstractStaxParser<T,SAMLProtocolQNames>

  Author:
    hmlnarik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static QNameEnumLookup<SAMLProtocolQNames>` | `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStaxSamlProtocolParser(SAMLProtocolQNames expectedStartElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SAMLProtocolQNames` | `getElementFromName(QName name)`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `instantiateElement, isUnknownElement, parse, processSubElement, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP

          protected static final QNameEnumLookup<SAMLProtocolQNames> LOOKUP

  - ### Constructor Detail

    - #### AbstractStaxSamlProtocolParser

          public AbstractStaxSamlProtocolParser(SAMLProtocolQNames expectedStartElement)

  - ### Method Detail

    - #### getElementFromName

          protected SAMLProtocolQNames getElementFromName(QName name)

      Specified by:
        `getElementFromName` in class `AbstractStaxParser<T,SAMLProtocolQNames>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.